## hcxdumptool 5.1.7

=== Makefile ===
PREFIX		?=/usr/local
INSTALLDIR	= $(DESTDIR)$(PREFIX)/bin

HOSTOS		:= $(shell uname -s)
GPIOSUPPORT=off

CC		?= gcc
CFLAGS		?= -O3 -Wall -Wextra
CFLAGS 		+= -std=gnu99
INSTFLAGS	= -m 0755

ifeq ($(HOSTOS), Linux)
INSTFLAGS += -D
endif

all: build

build:
ifeq ($(HOSTOS), Linux)
	$(CC) $(CFLAGS) $(CPPFLAGS) -o hcxpioff hcxpioff.c $(LDFLAGS)
	$(CC) $(CFLAGS) $(CPPFLAGS) -o hcxdumptool hcxdumptool.c $(LDFLAGS)
else
	$(info OS not supported)
endif

install: build
ifeq ($(HOSTOS), Linux)
	install $(INSTFLAGS) hcxpioff $(INSTALLDIR)/hcxpioff
	install $(INSTFLAGS) hcxdumptool $(INSTALLDIR)/hcxdumptool
else
	$(info OS not supported)
endif


ifeq ($(HOSTOS), Linux)
	rm -f hcxpioff
	rm -f hcxdumptool
else
	$(info OS not supported)
endif
	rm -f *.o *~


clean:
ifeq ($(HOSTOS), Linux)
	rm -f hcxpioff
	rm -f hcxdumptool
else
	$(info OS not supported)
endif
	rm -f *.o *~


uninstall:
ifeq ($(HOSTOS), Linux)
	rm -f $(INSTALLDIR)/hcxpioff
	rm -f $(INSTALLDIR)/hcxdumptool
else
	$(info OS not supported)
endif

## hcxdumptool 5.1.4

=== debian/changelog ===
hcxdumptool (5.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #924592).

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Wed, 13 Mar 2019 22:12:00 -0300

=== debian/control ===
Source: hcxdumptool
Section: net
Priority: optional
Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>=11)
Standards-Version: 4.3.0
Homepage: https://github.com/ZerBea/hcxdumptool
Vcs-Git: https://salsa.debian.org/debian/hcxdumptool.git
Vcs-Browser: https://salsa.debian.org/debian/hcxdumptool

Package: hcxdumptool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small tool to capture packets from wlan devices
 Tool to capture wpa handshacke from wifi networks and run several tests to
 determine if wifi access points or clients are vulnerable to brute-force
 atacks.

## hcxdumptool 5.1.7

=== debian/changelog ===
hcxdumptool (5.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed local patches.
  * Updated Standard-Versions.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 21 Jul 2019 08:39:59 -0300

=== debian/control ===
Source: hcxdumptool
Section: net
Priority: optional
Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>=12), help2man
Standards-Version: 4.4.0
Homepage: https://github.com/ZerBea/hcxdumptool
Vcs-Git: https://salsa.debian.org/debian/hcxdumptool.git
Vcs-Browser: https://salsa.debian.org/debian/hcxdumptool

Package: hcxdumptool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small tool to capture packets from wlan devices
 Tool to capture wpa handshacke from Wi-Fi networks and run several tests to
 determine if Wi-Fi access points or clients are vulnerable to brute-force
 atacks.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -pie
export DEB_CFLAGS_MAINT_APPEND = -fPIE

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/debian/hcxdumptool.manpages
	rm -f $(CURDIR)/debian/*.1

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/hcxdumptool
	for binary in $(CURDIR)/debian/hcxdumptool/usr/bin/* ; do \
		manpage=`basename $$binary`; \
		/usr/bin/help2man -n "hcx tools set"-N $$binary > $(CURDIR)/debian/$$manpage.1; \
		echo "Appended $$manpage from scratch";\
		echo debian/$$manpage.1 >> $(CURDIR)/debian/hcxdumptool.manpages; \
	done

## hcxdumptool 6.0.5

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,14 @@
+PRODUCTION		:= 1
+PRODUCTION_VERSION	:= 6.0.5
+PRODUCTION_YEAR		:= 2020
+
+ifeq ($(PRODUCTION),1)
+VERSION_TAG		:= $(PRODUCTION_VERSION)
+else
+VERSION_TAG		:= $(shell git describe --tags || echo $(PRODUCTION_VERSION))
+endif
+VERSION_YEAR		:= $(shell echo $(PRODUCTION_YEAR))
+
 PREFIX		?=/usr/local
 INSTALLDIR	= $(DESTDIR)$(PREFIX)/bin
 
@@ -17,11 +28,12 @@
 
 build:
 ifeq ($(HOSTOS), Linux)
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o hcxpioff hcxpioff.c $(LDFLAGS)
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o hcxdumptool hcxdumptool.c $(LDFLAGS)
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o hcxpioff hcxpioff.c $(LDFLAGS) -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o hcxdumptool hcxdumptool.c $(LDFLAGS) -lcrypto -lssl -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"
 else
 	$(info OS not supported)
 endif
+
 
 install: build
 ifeq ($(HOSTOS), Linux)

=== debian/changelog ===
hcxdumptool (6.0.5-2) unstable; urgency=medium

  * Non-binary upload.
  * Updated Standard-Versions.
  * Refreshed local patches with misspellings.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 03 May 2020 23:06:27 -0300

hcxdumptool (6.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed local patches.
  * Updated Standard-Versions.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 25 Apr 2020 00:34:37 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
 Uploaders: Ulises Vitulli <dererk@debian.org>
-Build-Depends: debhelper (>=12), help2man
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), help2man, libssl-dev
+Standards-Version: 4.5.0.2
 Homepage: https://github.com/ZerBea/hcxdumptool
 Vcs-Git: https://salsa.debian.org/debian/hcxdumptool.git
 Vcs-Browser: https://salsa.debian.org/debian/hcxdumptool

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE = 1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -pie
-export DEB_CFLAGS_MAINT_APPEND = -fPIE
 
 %:
 	dh $@

=== debian/watch ===
version=4
https://github.com/ZerBea/hcxdumptool/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## hcxdumptool 6.2.4

=== debian/changelog ===
hcxdumptool (6.2.4-1) unstable; urgency=medium

  * New upstream version 6.2.4 (Closes: #946851)
  * debian/control:
    - Added new build dependencies (openssl, pkg-config).
    - Bumped Standards-Version to 4.6.0.1.
    - Fixed spelling error on desscription.
    - Included Rules-Requires-Root: no.
    - Changed maintainer to team+pkg-security and put myself as uploader.
  * debian/patches:
    - Refresh patch and remove unnecessary patch.
    - Included patch to fix cross build error (Closes: #932844).
  * debian/rules: Fixed string that generate man page.
  * debian/upstream:
    - Set upstream metadata fields: Bug-Database, Bug-Submit, Repository
    - Included upstream signing key.
  * diebian/tests/build: Mark as superficial (Closes: #971475)
  * debian/watch: improved.
  * Added debian/gbp.conf file.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Fri, 15 Oct 2021 12:58:00 -0300

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/hcxdumptool
 	for binary in $(CURDIR)/debian/hcxdumptool/usr/bin/* ; do \
 		manpage=`basename $$binary`; \
-		/usr/bin/help2man -n "hcx tools set"-N $$binary > $(CURDIR)/debian/$$manpage.1; \
+		/usr/bin/help2man -n "hcx tools set" -N $$binary > $(CURDIR)/debian/$$manpage.1; \
 		echo "Appended $$manpage from scratch";\
 		echo debian/$$manpage.1 >> $(CURDIR)/debian/hcxdumptool.manpages; \
 	done

## hcxdumptool 6.2.5

=== Makefile ===
PRODUCTION		:= 1
PRODUCTION_VERSION	:= 6.2.5
PRODUCTION_YEAR		:= 2021

ifeq ($(PRODUCTION),1)
VERSION_TAG		:= $(PRODUCTION_VERSION)
else
VERSION_TAG		:= $(shell git describe --tags || echo $(PRODUCTION_VERSION))
endif
VERSION_YEAR		:= $(shell echo $(PRODUCTION_YEAR))

PREFIX		?= /usr
BINDIR		= $(DESTDIR)$(PREFIX)/bin

HOSTOS		:= $(shell uname -s)

CC		?= gcc
CFLAGS		?= -O3 -Wall -Wextra
CFLAGS		+= -std=gnu99
DEFS		= -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"

INSTALL		?= install
INSTFLAGS	=
PKG_CONFIG ?= pkg-config

ifeq ($(HOSTOS), Linux)
INSTFLAGS += -D
endif

OPENSSL_LIBS=$(shell $(PKG_CONFIG) --libs openssl)
OPENSSL_CFLAGS=$(shell $(PKG_CONFIG) --cflags openssl)

TOOLS=
TOOLS+=hcxdumptool
hcxdumptool_libs=$(OPENSSL_LIBS)
hcxdumptool_cflags=$(OPENSSL_CFLAGS)
TOOLS+=hcxpioff

.PHONY: all build install clean uninstall

all: build

build: $(TOOLS)

.deps:
	mkdir -p .deps

# $1: tool name
define tool-build
$(1)_src ?= $(1).c
$(1)_libs ?=
$(1)_cflags ?=

$(1): $$($(1)_src) | .deps
	$$(CC) $$(CFLAGS) $$($(1)_cflags) $$(CPPFLAGS) -MMD -MF .deps/$$@.d -o $$@ $$($(1)_src) $$($(1)_libs) $$(LDFLAGS) $$(DEFS)

.deps/$(1).d: $(1)

.PHONY: $(1).install
$(1).install: $(1)
	$$(INSTALL) $$(INSTFLAGS) -m 0755 $(1) $$(BINDIR)/$(1)

.PHONY: $(1).clean
$(1).clean:
	rm -f .deps/$(1).d
	rm -f $(1)

.PHONY: $(1).uninstall
$(1).uninstall:
	rm -rf $$(BINDIR)/$(1)

endef

$(foreach tool,$(TOOLS),$(eval $(call tool-build,$(tool))))

install: $(patsubst %,%.install,$(TOOLS))

clean: $(patsubst %,%.clean,$(TOOLS))
	rm -rf .deps
	rm -f *.o *~

uninstall: $(patsubst %,%.uninstall,$(TOOLS))

-include .deps/*.d

=== debian/changelog ===
hcxdumptool (6.2.5-2) unstable; urgency=medium

  * d/copyright: Update years.
  * d/rules: Remove -pie and -fPIE from compiler option.
    Disables checking for PIE which is automatically applied by Debian's GCC
    and no longer requires a compiler command line argument.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 08 Feb 2022 11:50:00 -0300

hcxdumptool (6.2.5-1) unstable; urgency=medium

  * New upstream version 6.2.5.
  * Include manpages.
  * d/p/10-fix-makefile-FTBFS.kfreebsd.patch:
       Fix Makefile to solve FTBFS KfreeBSD.
  * d/rules:
    - Remove build time creation of manpage.
    - Include hardening variables.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Fri, 03 Dec 2021 10:24:00 -0300

=== debian/control ===
Source: hcxdumptool
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
           Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper-compat (= 13),
               help2man,
               libssl-dev,
               openssl,
               pkg-config
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://github.com/ZerBea/hcxdumptool
Vcs-Git: https://salsa.debian.org/pkg-security-team/hcxdumptool.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/hcxdumptool

Package: hcxdumptool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small tool to capture packets from wlan devices
 Tool to capture wpa handshake from Wi-Fi networks and run several tests to
 determine if Wi-Fi access points or clients are vulnerable to brute-force
 atacks.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ZerBea/hcxdumptool/releases .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## hcxdumptool 6.2.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.2.5
-PRODUCTION_YEAR		:= 2021
+PRODUCTION_VERSION	:= 6.2.6
+PRODUCTION_YEAR		:= 2022
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)

=== debian/changelog ===
hcxdumptool (6.2.6-2) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/ZerBea/hcxdumptool/tags.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 20 Oct 2022 09:52:00 -0300

hcxdumptool (6.2.6-1) unstable; urgency=medium

  * New upstream version 6.2.6
  * d/copyright: Update upstream copyright date.
  * d/patches/20-fix-typo.patch: Fix spell error.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 01 May 2022 12:04:00 -0300

## hcxdumptool 6.3.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.2.6
-PRODUCTION_YEAR		:= 2022
+PRODUCTION_VERSION	:= 6.3.1
+PRODUCTION_YEAR		:= 2023
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)
@@ -17,24 +17,19 @@
 CC		?= gcc
 CFLAGS		?= -O3 -Wall -Wextra
 CFLAGS		+= -std=gnu99
+#CFLAGS		+= -ggdb -fsanitize=address
 DEFS		= -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"
+DEFS		+= -DSTATUSOUT -DNMEAOUT
 
 INSTALL		?= install
 INSTFLAGS	=
-PKG_CONFIG ?= pkg-config
 
 ifeq ($(HOSTOS), Linux)
 INSTFLAGS += -D
 endif
 
-OPENSSL_LIBS=$(shell $(PKG_CONFIG) --libs openssl)
-OPENSSL_CFLAGS=$(shell $(PKG_CONFIG) --cflags openssl)
 
-TOOLS=
-TOOLS+=hcxdumptool
-hcxdumptool_libs=$(OPENSSL_LIBS)
-hcxdumptool_cflags=$(OPENSSL_CFLAGS)
-TOOLS+=hcxpioff
+TOOLS=hcxdumptool
 
 .PHONY: all build install clean uninstall
 
@@ -42,17 +37,14 @@
 
 build: $(TOOLS)
 
-.deps:
-	mkdir -p .deps
-
 # $1: tool name
 define tool-build
 $(1)_src ?= $(1).c
 $(1)_libs ?=
 $(1)_cflags ?=
 
-$(1): $$($(1)_src) | .deps
-	$$(CC) $$(CFLAGS) $$($(1)_cflags) $$(CPPFLAGS) -MMD -MF .deps/$$@.d -o $$@ $$($(1)_src) $$($(1)_libs) $$(LDFLAGS) $$(DEFS)
+$(1): $$($(1)_src)
+	$$(CC) $$(CFLAGS) $$($(1)_cflags) $$(CPPFLAGS) -o $$@ $$($(1)_src) $$(DEFS)
 
 .deps/$(1).d: $(1)

=== debian/changelog ===
hcxdumptool (6.3.1-1) unstable; urgency=medium

  * New upstream release. 

 -- Ulises Vitulli <dererk@debian.org>  Sat, 02 Sep 2023 13:18:59 -0300

=== debian/tests/control ===
Tests: version
Restrictions: superficial
Depends: @

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ZerBea/hcxdumptool/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## hcxdumptool 6.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.3.1
-PRODUCTION_YEAR		:= 2023
+PRODUCTION_VERSION	:= 6.3.4
+PRODUCTION_YEAR		:= 2024
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)
@@ -15,11 +15,20 @@
 HOSTOS		:= $(shell uname -s)
 
 CC		?= gcc
-CFLAGS		?= -O3 -Wall -Wextra
+CFLAGS		?= -O3 -Wall -Wextra -Wpedantic
 CFLAGS		+= -std=gnu99
+# uncomment to enable DEBUG symbols
 #CFLAGS		+= -ggdb -fsanitize=address
 DEFS		= -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"
-DEFS		+= -DSTATUSOUT -DNMEAOUT
+# comment to disable STATUS display (headless operation)
+DEFS		+= -DHCXSTATUSOUT
+# comment to disable GPS support
+DEFS		+= -DHCXNMEAOUT
+# uncomment to enable BPF compiler
+DEFS		+= -DHCXWANTLIBPCAP
+LDFLAGS	+= -lpcap
+# uncomment to enable DEBUG log
+#DEFS		+= -DHCXDEBUG
 
 INSTALL		?= install
 INSTFLAGS	=
@@ -44,7 +53,7 @@
 $(1)_cflags ?=
 
 $(1): $$($(1)_src)
-	$$(CC) $$(CFLAGS) $$($(1)_cflags) $$(CPPFLAGS) -o $$@ $$($(1)_src) $$(DEFS)
+	$$(CC) $$(CFLAGS) $$($(1)_cflags) $$(CPPFLAGS) -o $$@ $$($(1)_src) $$(DEFS) $$(LDFLAGS)
 
 .deps/$(1).d: $(1)

=== debian/changelog ===
hcxdumptool (6.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.3.4
  * Rebase patches
  * d/control: adding libpcap-dev as build dependency
  * d/control: bump Standards-Version to 4.7.0, no changes needed
  * d/control: fix typo atacks to attacks
  * d/control: remove libssl-dev, openssl and pkg-config from
    build dependencies
  * d/copyright: Extend upstream copyright to 2024 and add contributor
  * d/patches/10-fix-makefile-FTBFS.kfreebsd.patch: set Forwarded to no
  * d/patches/20-fix-typo.patch: Drop patch, merged upstream
  * d/watch: change regex to get release from github api
  * debian: hcxpioff was remove so remove its manpage

 -- Igor Penha <igorpenha.it@gmail.com>  Thu, 11 Jul 2024 23:29:20 -0300

## hcxdumptool 6.3.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.3.4
+PRODUCTION_VERSION	:= 6.3.5
 PRODUCTION_YEAR		:= 2024
 
 ifeq ($(PRODUCTION),1)

=== debian/changelog ===
hcxdumptool (6.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.3.5.
  * d/copyright: Added myself.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Tue, 03 Dec 2024 17:42:45 -0300

## hcxdumptool 7.0.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.3.5
-PRODUCTION_YEAR		:= 2024
+PRODUCTION_VERSION	:= 7.0.0
+PRODUCTION_YEAR		:= 2025
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)
@@ -22,9 +22,7 @@
 DEFS		= -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"
 # comment to disable STATUS display (headless operation)
 DEFS		+= -DHCXSTATUSOUT
-# comment to disable GPS support
-DEFS		+= -DHCXNMEAOUT
-# uncomment to enable BPF compiler
+# comment to disable BPF compiler
 DEFS		+= -DHCXWANTLIBPCAP
 LDFLAGS	+= -lpcap
 # uncomment to enable DEBUG log
@@ -37,8 +35,8 @@
 INSTFLAGS += -D
 endif
 
-
 TOOLS=hcxdumptool
+TOOLS+=hcxnmealog
 
 .PHONY: all build install clean uninstall

=== debian/changelog ===
hcxdumptool (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase local patches.
  * d/control: bump Standards-Version to 4.7.2.0, no changes needed

 -- Ulises Vitulli <dererk@debian.org>  Sat, 02 Aug 2025 10:13:37 -0300

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,8 @@
            Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper-compat (= 13),
                help2man,
-               libssl-dev,
-               openssl,
-               pkg-config
-Standards-Version: 4.6.0.1
+               libpcap-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ZerBea/hcxdumptool
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hcxdumptool.git
@@ -21,4 +19,4 @@
 Description: Small tool to capture packets from wlan devices
  Tool to capture wpa handshake from Wi-Fi networks and run several tests to
  determine if Wi-Fi access points or clients are vulnerable to brute-force
- atacks.
+ attacks.

=== debian/watch ===
version=4
opts="searchmode=plain,\
pgpsigurlmangle=s%$%.asc%" \
https://api.github.com/repos/ZerBea/hcxdumptool/releases?per_page=100 \
https://github.com/ZerBea/hcxdumptool/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
